#### options:
# Use --with/--without modular_X to rebuild with/without modular X deps

#### default options:
%if 0%{?fedora}
%if 0%{?fedora} < 5
# default to non-modular X on FC < 5
%define _modular_X 0%{?_with_modular_x:1}
%else
# default to modular X on FC >= 5
%define _modular_X 0%{!?_without_modular_x:1}
%endif
%else
# default to modular X elsewhere
%define _modular_X 0%{!?_without_modular_x:1}
%endif

%{?!pyver: %define pyver %(python -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Name:		tinyerp
Version:	4.0.3
Release:	3%{?dist}
License:	GPLv2+
Group:		Applications/Productivity
Summary:	Open Source ERP Client
URL:		http://tinyerp.org
Source0:	http://tinyerp.org/download/stable/source/tinyerp-server-%{version}.tar.gz
Source1:	http://tinyerp.org/download/stable/source/tinyerp-client-%{version}.tar.gz
Source2:	tinyerp.desktop
Source3:	tinyerp-server.conf
Source4:	tinyerp-server
Source5:	tinyerp-server.logrotate
Source6:	README.Fedora
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python, pygtk2-devel, pygtk2-libglade
BuildRequires:	python-psycopg, libxslt-python, pydot
BuildRequires:	desktop-file-utils
%if %_modular_X
BuildRequires:	xorg-x11-server-Xvfb, xorg-x11-fonts-base
%define _xvfb /usr/bin/Xvfb
%else
BuildRequires:	xorg-x11-Xvfb
%define _xvfb /usr/X11R6/bin/Xvfb
%endif
Requires:	pygtk2, pygtk2-libglade, pydot
Patch0:		tinyerp-client-l10n.patch
Patch100:	tinyerp-server-4.0.3-xmlrpc.patch

%description
Tiny ERP is a free enterprise management software package. It 
covers all domains for small to medium businesses; accounting, 
stock management, sales, customer relationship, purchases, 
project management...

%package server
Group:		System Environment/Daemons
Summary:	Open Source ERP Server
Requires:	pygtk2, pygtk2-libglade
Requires:	python-psycopg, libxslt-python
Requires:	postgresql-python, libxml2-python
Requires:	libxslt-python, python-imaging
Requires:	python-psycopg, python-reportlab
Requires:	graphviz, pyparsing, postgresql-server
Requires:	ghostscript
Requires(pre):	fedora-usermgmt
Requires(postun):	fedora-usermgmt

%description server
Server components for Tiny ERP.

%prep
%setup -q -a 1 -c %{name}-%{version}
pushd tinyerp-client-%{version}
%patch0
popd
%patch100

cp %{SOURCE6} tinyerp-server-%{version}/doc/README.Fedora

# permission cleanup
find tinyerp-server-%{version}/bin/addons -type f | xargs chmod a-x
find tinyerp-client-%{version}/bin/themes -type f | xargs chmod a-x

%build
cd tinyerp-client-%{version}
%{_xvfb} :69 -nolisten tcp -ac -terminate &
DISPLAY=:69 ./setup.py build
cd ../tinyerp-server-%{version}
DISPLAY=:69 ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
cd tinyerp-client-%{version}
%{_xvfb} :69 -nolisten tcp -ac -terminate &
DISPLAY=:69 ./setup.py install --root=$RPM_BUILD_ROOT
cd ../tinyerp-server-%{version}
DISPLAY=:69 ./setup.py install --root=$RPM_BUILD_ROOT
cd ..
%find_lang tinyerp-client

mv $RPM_BUILD_ROOT%{_datadir}/tinyerp-client/* $RPM_BUILD_ROOT%{python_sitelib}/tinyerp-client
cp -a tinyerp-client-%{version}/bin/themes $RPM_BUILD_ROOT%{_datadir}/tinyerp-client

desktop-file-install --vendor fedora				\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications		\
	%{SOURCE2}

cd $RPM_BUILD_ROOT%{python_sitelib}/tinyerp-client
ln -s ../../../../share/tinyerp-client/themes themes
for i in tinyerp-icon-16x16.png tinyerp-icon-32x32.png tinyerp-icon-64x64.png; do
	ln -s ../../../../share/pixmaps/tinyerp-client/$i $i
done

install -m 644 -D %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/tinyerp-server.conf
install -m 755 -D %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/tinyerp-server
install -m 644 -D %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/tinyerp-server

mkdir -p $RPM_BUILD_ROOT/var/log/tinyerp
mkdir -p $RPM_BUILD_ROOT/var/spool/tinyerp

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-client.lang
%doc 
%defattr(-,root,root,0755)
%{_bindir}/tinyerp-client
%{python_sitelib}/tinyerp-client/
%{_defaultdocdir}/%{name}-client-%{version}/
%{_mandir}/man1/tinyerp-client.*
%{_datadir}/tinyerp-client/
%{_datadir}/pixmaps/tinyerp-client/
%{_datadir}/applications/*.desktop

%files server
%doc tinyerp-server-%{version}/doc/*
%attr(750,tinyerp,tinyerp) %dir /var/log/tinyerp
%attr(750,tinyerp,tinyerp) %dir /var/spool/tinyerp
%{_sysconfdir}/rc.d/init.d/tinyerp-server
%config(noreplace) %{_sysconfdir}/tinyerp-server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/tinyerp-server
%{_bindir}/tinyerp-server
%{python_sitelib}/tinyerp-server/   
%{_mandir}/man1/tinyerp-server.*
%{_mandir}/man5/terp_serverrc.*

%pre server
/usr/sbin/fedora-groupadd 13 -r tinyerp &>/dev/null || :
/usr/sbin/fedora-useradd 13 -r -s /sbin/nologin -d /var/spool/tinyerp -M \
	-c 'TinyERP Server Owner' -g tinyerp tinyerp &>/dev/null || :

exit 0

%post server
/sbin/chkconfig --add tinyerp-server

%preun server
if [ $1 = 0 ] ; then
	service tinyerp-server stop >/dev/null 2>&1
	rm -f /var/log/tinyerp/*
	/sbin/chkconfig --del tinyerp-server
fi

%postun server
if [ "$1" -ge "1" ] ; then
	service tinyerp-server condrestart >/dev/null 2>&1
fi
test "$1" != 0 || /usr/sbin/fedora-userdel  tinyerp &>/dev/null || :
test "$1" != 0 || /usr/sbin/fedora-groupdel tinyerp &>/dev/null || :


%changelog
* Tue Oct 16 2007 Dan Horak <dan[at]danny.cz> 4.0.3-3
- fix problem with xmlrpc from Python 2.5 (#334121)

* Wed Sep 26 2007 Dan Horak <dan[at]danny.cz> 4.0.3-2
- update the desktop file to the current standards
- update the license tag

* Thu Mar 29 2007 Dan Horak <dan[at]danny.cz> 4.0.3-1
- update to upstream version 4.0.3

* Fri Jan 26 2007 Dan Horak <dan[at]danny.cz> 4.0.2-1
- update to upstream version 4.0.2

* Fri Jan  5 2007 Dan Horak <dan[at]danny.cz> 4.0.1-1
- update to upstream version 4.0.1

* Fri Dec 22 2006 Dan Horak <dan[at]danny.cz> 4.0.0-1
- update to upstream version 4.0.0

* Fri Oct 13 2006 Dan Horak <dan[at]danny.cz> 3.4.2-1
- update to upstream version 3.4.2

* Wed Sep 27 2006 Dan Horak <dan[at]danny.cz> 3.4.1-1
- removed workaround for font path problems on devel
- update to upstream version 3.4.1

* Wed Sep 13 2006 Dan Horak <dan[at]danny.cz> 3.3.0-4
- added a workaround for font path problems on devel

* Mon Sep  4 2006 Dan Horak <dan[at]danny.cz> 3.3.0-3
- rebuild for FC-6
- added README with post-install steps

* Mon Jul 24 2006 Dan Horak <dan[at]danny.cz> 3.3.0-2
- use better Category in the desktop file (#199895)

* Fri May 19 2006 Dan Horak <dan@danny.cz> 3.3.0-1
- update to upstream tinyerp 3.3.0
- the pidlog patch was integrated into upstream
- unified the specfile for FC < 5 and FC >=5
- used new icon in the desktop file

* Sat Mar 18 2006 Dan Horak <dan@danny.cz> 3.2.1-3
- new config file with only default values (#184505)
- added a patch for handling the pid and log file in the server (#184502)

* Tue Feb 14 2006 Dan Horak <dan@danny.cz> 3.2.1-2
- rebuild for Fedora Extras 5

* Mon Jan 30 2006 Dan Horak <dan@danny.cz> 3.2.1-1
- update to upstream tinyerp 3.2.1
- fixed filename for the czech translation

* Wed Jan 25 2006 Dan Horak <dan@danny.cz> 3.2.0-2
- add updated server patch

* Wed Jan 25 2006 Dan Horak <dan@danny.cz> 3.2.0-1
- update to upstream tinyerp 3.2.0
- fixed status function in the init.d script
- fixed using localization for the client
- include all distributed addons

* Wed Jan  4 2006 Dan Horak <dan@danny.cz> 3.1.1-6
- added new Xorg dependencies

* Sun Dec 18 2005 Dan Horak <dan@danny.cz> 3.1.1-5
- added Requires(postun) to the -server package (Ville Skyttä)
- improved startup script, suggested by Enrico Scholz
- added log rotation

* Sun Dec 11 2005 Dan Horak <dan@danny.cz> 3.1.1-4
- moved Requires(pre) to the -server package (Ville Skyttä)

* Thu Dec  7 2005 Dan Horak <dan@danny.cz> 3.1.1-3
- chown for log and spool is not required

* Mon Nov 28 2005 Dan Horak <dan@danny.cz> 3.1.1-1
- upgrade to tinyerp 3.1.1

* Sun Nov 20 2005 Dan Horak <dan@danny.cz> 3.1.0-1
- upgrade to tinyerp 3.1.x

* Thu Aug 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.1.3-6
- use Xvfb to fake DISPLAY

* Wed Aug  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.1.3-5
- make patching more generic
- fix another server bug

* Wed Aug  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.1.3-4
- add more Requires
- add .desktop file for client

* Wed Aug  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.1.3-3
- move files around

* Wed Aug  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.1.3-2
- fix python to, you know, actually work

* Mon Aug  1 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.1.3-1
- initial package for Fedora Extras
